Update Page

Updates an existing page.

Authentication

x-api-keystring
API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

pageIdOrPathnamestringRequired
The page ID or pathname for the page you are updating.

Query parameters

siteIdstringOptionalformat: "uuid"
The site ID required when using a pathname instead of a page ID.

Request

This endpoint expects an object.
pathnamestringOptional
The page pathname.
namestringOptional>=1 character
The page name.
isOnlinebooleanOptional
The flag that indicates whether the page is online.

Response

objectenum
Allowed values:
idstringformat: "uuid"
The ID of the page.
pathnamestring
The page pathname.
canonicalUrlstring or null
The canonical URL of the page.
titlestring or null
The page title.
descriptionstring or null
The page description.
socialImageUrlstring or null
The social image URL of the page.
sitemapPrioritydouble or null0-1
The sitemap priority.
sitemapFrequencyenum or null
The sitemap update frequency.
createdAtdatetime or null
The page creation date and time.
updatedAtdatetime or null
The page last update date and time.
publishedAtdatetime or null
The page publication date and time.
isOnlineboolean
The flag that indicates whether the page is online.
excludedFromSearchEnginesboolean or null
The flag that indicates whether the page is excluded from search.
localizationslist of objects
The localizations of the page.
localestring or null
The page locale. This defaults to the default locale of the parent site.

Errors